
#include <stdio.h>
#include <string.h>

#include "lexico.h"
#include "sintacti.h"
#include "errores.h"
#include "textos.h"
#include "vocabula.h"
#include "objetos.h"
#include "generar.h"

int glulxamain (int argc, char * argv[]);

/* programa principal */

char wd[80];

char * comando[5];/*={
"glulxa",
"-i",
"                                                                               ",
"-o",
"                                                                               "
};*/

int main(int argc, char *argv[]) {
    char * buscar;

    if(argc<2) {
       error(errGeneral,0);
       return -1;
    }

/*    strcpy(wd,argv[0]); */
    strcpy(wd, getenv("_"));
    buscar=strrchr(wd,'/');
	if (!buscar) buscar=strrchr(wd,'/');
    if(buscar)*buscar=0;
    else strcpy(wd,".");
    prepLexico(argv[1]);
    analizar();
    printf("Analisis completado.\n");
    termLexico();
    GenerarEnsamblador(argv[1]);
    FinalizarVocabulario();
    
/*    comando[0]=strdup("glulxa");
    comando[1]=strdup("-i");
    comando[3]=strdup("-o");*/
    /* strcpy(comando[2],argv[1]); */
/*    comando[2]=strdup(argv[1]);
    strcpy(strrchr(comando[2],'.'),".ula");*/
    /* strcpy(comando[4],argv[1]); */
/*    comando[4]=strdup(argv[1]);
    strcpy(strrchr(comando[4],'.'),".ulx");
    glulxamain(5,comando);*/
    return 0;
}

